Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(403)

Issue 1125383008: Support MINIMIZED, MAXIMIZED, FULLSCREEN state when showing a chrome window. (Closed)

Created:
2 years, 7 months ago by joone
Modified:
2 years, 7 months ago
CC:
chromium-reviews, tfarina, tdanderson+views_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Support MINIMIZED, MAXIMIZED, FULLSCREEN state when showing a chrome window. Some of ui::WindowShowState were not supported in Linux so this CL implemented SHOW_STATE_MINIMIZED, SHOW_STATE_MAXIMIZED, and SHOW_STATE_FULLSCREEN state. BUG=473228 Committed: https://crrev.com/3a3f2f572a3a96957a6180056e7cbd30f551200d Cr-Commit-Position: refs/heads/master@{#329764}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -3 lines) Patch
M ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc View 1 chunk +15 lines, -3 lines 2 comments Download
Trybot results:  cast_shell_android   linux_chromium_gn_chromeos_rel   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_32_ng   linux_chromium_chromeos_ozone_rel_ng   android_compile_dbg   android_arm64_dbg_recipe   linux_chromium_gn_rel   android_clang_dbg_recipe   cast_shell_linux   linux_chromium_clobber_rel_ng   linux_chromium_gn_dbg   linux_chromium_rel_ng   chromium_presubmit   android_chromium_gn_compile_dbg   linux_chromium_asan_rel_ng   linux_android_rel_ng   android_chromium_gn_compile_rel   linux_chromium_chromeos_compile_dbg_ng   mac_chromium_rel_ng   ios_dbg_simulator_ninja   mac_chromium_compile_dbg_ng   ios_rel_device_ninja   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win8_chromium_rel   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win8_chromium_rel   ios_rel_device_ninja   mac_chromium_compile_dbg_ng   ios_dbg_simulator_ninja   mac_chromium_rel_ng   linux_chromium_gn_dbg   android_chromium_gn_compile_rel   linux_android_rel_ng   linux_chromium_asan_rel_ng   android_chromium_gn_compile_dbg   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_gn_chromeos_rel   cast_shell_linux   android_clang_dbg_recipe   linux_chromium_gn_rel   android_arm64_dbg_recipe   android_compile_dbg   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_32_ng   linux_chromium_chromeos_rel_ng   linux_chromium_clobber_rel_ng   cast_shell_android 

Messages

Total messages: 16 (4 generated)
joone
Please take a look at this patch.
2 years, 7 months ago (2015-05-13 23:46:27 UTC) #2
Elliot Glaysher
lgtm
2 years, 7 months ago (2015-05-13 23:56:16 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1125383008/1
2 years, 7 months ago (2015-05-14 00:02:58 UTC) #5
Peter Kasting
https://codereview.chromium.org/1125383008/diff/1/ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc File ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc (right): https://codereview.chromium.org/1125383008/diff/1/ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc#newcode382 ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc:382: SetFullscreen(TRUE); Shouldn't this be "true" instead of "TRUE"?
2 years, 7 months ago (2015-05-14 00:10:13 UTC) #7
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 7 months ago (2015-05-14 00:41:45 UTC) #8
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/3a3f2f572a3a96957a6180056e7cbd30f551200d Cr-Commit-Position: refs/heads/master@{#329764}
2 years, 7 months ago (2015-05-14 00:42:34 UTC) #9
joone
https://codereview.chromium.org/1125383008/diff/1/ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc File ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc (right): https://codereview.chromium.org/1125383008/diff/1/ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc#newcode382 ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc:382: SetFullscreen(TRUE); On 2015/05/14 00:10:13, Peter Kasting wrote: > Shouldn't ...
2 years, 7 months ago (2015-05-14 18:18:57 UTC) #10
joone
Please land this change.
2 years, 7 months ago (2015-05-14 21:38:43 UTC) #11
Peter Kasting
On 2015/05/14 21:38:43, joone wrote: > Please land this change. If a CL has already ...
2 years, 7 months ago (2015-05-14 21:41:02 UTC) #13
Peter Kasting
On 2015/05/14 21:41:02, Peter Kasting wrote: > I'm going to delete the patch here so ...
2 years, 7 months ago (2015-05-14 21:41:32 UTC) #14
joone
On 2015/05/14 21:38:43, joone wrote: > Please land this change. https://codereview.chromium.org/1124193005
2 years, 7 months ago (2015-05-14 21:42:23 UTC) #15
joone
2 years, 7 months ago (2015-05-14 21:44:54 UTC) #16
Message was sent while issue was closed.
On 2015/05/14 21:41:32, Peter Kasting wrote:
> On 2015/05/14 21:41:02, Peter Kasting wrote:
> > I'm going to delete the patch here so future spelunkers will see the one you
> > actually landed on this review.
> 
> Hmm, someone beat me to it it seems.

Sorry. I deleted it.

Powered by Google App Engine
This is Rietveld 0eb02b776